I updated to 1.4.5E. Am I screwed? >_>

Discussion in 'Acekard' started by KingMiniMoni, Dec 13, 2012.

  1. KingMiniMoni
    OP

    KingMiniMoni Newbie

    Newcomer
    7
    0
    Mar 6, 2010
    Netherlands
    I just got my Acekard 2i and wanted to update my DS to 1.4.4. It just so happens that Nintendo released firmware 1.4.5 today and now my Acekard doesn't work. Looking around on this forum I get the impression that they are no longer releasing updates for the Acekard. Did I waste my money on this card?
     


  2. Lilith Valentine

    Lilith Valentine GBATemp's Wolfdog™ The saint of all the sinners

    Member
    18,342
    17,917
    Sep 13, 2009
    Antarctica
    Between insane and insecure
    If you have a DS Lite, then no you didn't waste your money.
    If you only have a 3DS or DSi, then yeah you pretty much wasted your money at this point.


    There is a slim chance that the Acekard Team might be able to make an update, but that's very slim considering the extremely low amount of usable exploits left.
     
  3. KingMiniMoni
    OP

    KingMiniMoni Newbie

    Newcomer
    7
    0
    Mar 6, 2010
    Netherlands
    That's...just great. I don't have a Lite anymore. Isn't it so that other flashcards already received their firmware fix? Doesn't that mean that it should be easy for the Acekard team to fix their flashcard as well?
     
  4. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,103
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    If the AK team was actually still making updates... they haven't updated for the past few 3DS updates either.
     
  5. steve007

    steve007 GBAtemp Fan

    Member
    429
    15
    Oct 7, 2007
    United States
    Nottingham
    I say they gave up but not showing it yet ! Or they might pull it off once again
     
  6. Normmatt

    Normmatt Former AKAIO Programmer

    Member
    2,142
    543
    Dec 14, 2004
    New Zealand
    You guys forget that flashcarts that DO support the latest 3ds/dsi updates were released about 1-2 years AFTER the AK2i and as such have newer and better hardware. The AK2i was only of, if not the first dsi compatible flashcarts and it hasn't changed hardware in awhile now. Clones have updated multiple times because they had too. There is still hope but because of the recent save checks nintendo added (most flashcarts AK2i included don't emulate this) it makes it harder to get through nintendos checks. An update is still being actively worked on but its not as easy as some people seem to think it is.
     
  7. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,103
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Has the team considered new hardware? Given how long the AK2i was "the" cart and given how people like AKAIO, they'd probably want it.
     
  8. ryanlaw
    This message by ryanlaw has been removed from public view by Costello, Jun 19, 2013.
    Dec 14, 2012
  9. bitonio6

    bitonio6 GBAtemp Advanced Maniac

    Member
    1,801
    4
    Sep 30, 2009
    Swaziland
    And if i may, it's totaly stupid to use a DS flascard with a 3DS console, because the screen distorts the image from a DS game !

    You can use DSLite (for me it's the best), DSi and DSi XL to play DS games !

    Somebody know what's append with the new 1.4.5 DSi Firmware with Ak2i ?
    The DSi receive "the recent save checks nintendo" or not ?
     
  10. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,103
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    You can use Start/Select to have them image not be distorted.
     
  11. bitonio6

    bitonio6 GBAtemp Advanced Maniac

    Member
    1,801
    4
    Sep 30, 2009
    Swaziland
    Yen, i know, but how many people know that ?

    And even you do that, it's still better to play on a DSLite, DSi or DSi XL, no ?
     
  12. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,103
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    I don't even have a 3DS and I know that, because people have been posting it since it was found out.
     
  13. SirAileron

    SirAileron Seeker of Truths

    Member
    162
    38
    Aug 7, 2008
    United States
    Over your shoulder
    It's definitely more comfortable to play DS/DSi games on a Lite or DSi/XL, though it's still quite comfortable to use the 3DS's D-pad with a bit of acclimation.

    Only one, maybe two games are significantly more comfy on the older handhelds. I was pretty surprised, actually.


    And I really would look forward to an Acekard with newer hardware, as it's been my favorite of all the different cards I've used. The DSTwo simply guzzles too much power while in the game slot, since the hardware powering the sd card slot and the processor don't turn off in sleep mode.
     
  14. SD456

    SD456 Dude

    Newcomer
    29
    6
    Mar 14, 2009
    I've updated to 1.4.5E :( I just noticed that AceKard 2i do not support this firmware. I have a DSi and a DS Lite. What can I do now ?

    I cannot use my DSi until Acekard team update the acekard firmware to 1.4.5 ?

    I always check the updates, before I update my DSi. I missed it this time, I had some troubles with Animal Crossing, and I thought that I need a system update to fix it. I will never ever do this again!

    Anybody know when Nintendo released this update ? I hope that the Acekard team will release an updated firmware for AK2i.
     
  15. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,103
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    System updates don't affect DS games, for future reference.

    The update came out within the last week or so, but the Acekard team stopped giving out updates a few months back.
     
  16. SD456

    SD456 Dude

    Newcomer
    29
    6
    Mar 14, 2009
    So, the Acekard team isn't going to give the DSL/DSi users any further updates ? The are only making updates for 3DS, from now on?
    That's pretty sad if it is true... :(
     
  17. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,103
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    The original DS and Lite don't have firmware updates that block carts, the AK2i will always run on them.

    We don't know if they're going to make any more DSi or 3DS updates. They still haven't released updates for the two latest 3DS firmwares.
     
    SD456 likes this.
  18. SD456

    SD456 Dude

    Newcomer
    29
    6
    Mar 14, 2009
    I see, thank you for the heads up!
     
  19. The Riolu

    The Riolu Emanation Pokémon

    Member
    167
    17
    Dec 17, 2012
    United States
    If you are looking for a replacement for the AK2i, as they might not release a 1.4.5 fix, I would suggest the Supercard DSTWO or the real R4i Gold located at http://www.r4ids.cn/.
     
  20. SD456

    SD456 Dude

    Newcomer
    29
    6
    Mar 14, 2009
    I know about Supercard DSTWO, I wanted that flash, but I had to choose the AK2i, as the DSTWO wasn't on stock where I've ordered my flashcart.
    Anyway, I will buy a DSTWO sometime.
     
  21. qweasd123

    qweasd123 GBAtemp Regular

    Member
    117
    3
    Jan 13, 2011